Bug 192310 - Review Request: PySyck
Review Request: PySyck
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 17:06 EDT by Michael DeHaan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 11:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2006-05-18 17:06:46 EDT
Spec URL: http://michaeldehaan.net/software/RPMS/PySyck.spec
SRPM URL: http://michaeldehaan.net/software/RPMS/PySyck-0.61.2-1.src.rpm
Description: 

YAML is a data serialization format designed for human readability and interaction with scripting languages.

Syck is an extension for reading and writing YAML in scripting languages. Syck provides bindings to the Python programming language, but they are somewhat limited and leak memory.

PySyck is aimed to update the current Python bindings for Syck. The new bindings provide a wrapper for the Syck emitter and give access to YAML representation graphs.

PySyck may be used for various tasks, in particular, as a replacement of the module pickle
"""

History -- syck-python in FC Extras is a package that provides syck bindings that do not have serialization support (they are broken) and there is a bugzilla on this.  

Previously I suggested PyYaml for inclusion as an alternate to syck-python, though PyYaml does not do Yaml 1.0.  This package (PySyck) supports Yaml 1.0, which represents most of what YAML is "in the field" today.  This would provide a working YAML parser/serializer for Python that also can read YAML as written by Ruby's stock modules and the C syck implementation, for instance.
Comment 1 John Mahowald 2006-05-20 20:27:32 EDT
Missing BuildRequires python-devel

Remove Vendor tag

Using Prefix for relocatable packages is strongly discouraged.
http://fedoraproject.org/wiki/Packaging/Guidelines#RelocatablePackages  I
recommend using python template from fedora-rpmdevtools package.
Comment 2 Parag AN(पराग) 2006-06-01 01:08:20 EDT
You should also add dist tag to release in SPEC file. For that check
http://fedoraproject.org/wiki/DistTag
Comment 3 John Mahowald 2006-08-21 11:23:18 EDT
Ping. Please comment in a week if you are still interested in packaging this.

I notice that a blog has replaced the spec and srpm URLs.
Comment 4 Michael DeHaan 2006-08-21 11:30:20 EDT
My mail filter must have missed the earlier two replies -- my apologies.

Following the traffic on yaml-core for PyYAML (which is picking up
considerably), I don't think packaging this is neccessary.   I personally don't
like the way YaML is growing in complexity, but it appears there is much more
active development there in the 1.1 stuff after all -- and given that, I don't
think we really want a bunch of users piling on a dead-end codebase.

The application that needed this as a prereq has moved on to other serializing
options.

Note You need to log in before you can comment on or make changes to this bug.